# Method: leaderboards.get

- [HTTP request](https://developer.android.com/games/services/web/api/rest/v1/leaderboards/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developer.android.com/games/services/web/api/rest/v1/leaderboards/get#body.PATH_PARAMETERS)
- [Query parameters](https://developer.android.com/games/services/web/api/rest/v1/leaderboards/get#body.QUERY_PARAMETERS)
- [Request body](https://developer.android.com/games/services/web/api/rest/v1/leaderboards/get#body.request_body)
- [Response body](https://developer.android.com/games/services/web/api/rest/v1/leaderboards/get#body.response_body)
- [Authorization scopes](https://developer.android.com/games/services/web/api/rest/v1/leaderboards/get#body.aspect)
- [Try it!](https://developer.android.com/games/services/web/api/rest/v1/leaderboards/get#try-it)

Retrieves the metadata of the leaderboard with the given ID.

### HTTP request

`GET https://games.googleapis.com/games/v1/leaderboards/{leaderboardId}`

### Path parameters

|                      Parameters                      ||
|-----------------|-------------------------------------|
| `leaderboardId` | `string` The ID of the leaderboard. |

### Query parameters

|                                       Parameters                                        ||
|------------|-----------------------------------------------------------------------------|
| `language` | `string` The preferred language to use for strings returned by this method. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of[Leaderboard](https://developer.android.com/games/services/web/api/rest/v1/leaderboards#Leaderboard).

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/games`
- `
  https://www.googleapis.com/auth/games_lite`

For more information, see the[OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).